Mysterious TwitterKit crash

Estoy viendo un crash bastante misterioso al usar TwitterKit través de Fabric.

Mi aplicación falla en esta línea:

 Fabric.with([Crashlytics.self, Twitter.self]) 

diciendo:

 [Fabric] Please upgrade to the latest version of "Twitter" [Crashlytics] Version 3.8.4 (121) Calling Twitter.start is not supported. 

Integré TwitterKit tal como lo orderaban los docs, agregando keys y esquemas de url a mi Info.plist, pero no puedo entender por qué Twitter se cae de repente.

Nueva versión de trabajo con TwitterKit 3+

 Fabric.with([Crashlytics.self]) Twitter.shanetworkingInstance().start(withConsumerKey: "key", consumerSecret: "secret") 

Nuevo file Pod

 pod 'Fabric' pod 'Crashlytics' pod 'TwitterKit' 

Versión antigua:

 Fabric.with([Crashlytics.self, Twitter.self])